REST API

The base URL for endpoints described in this page of live trading API is https://api.cube.exchange/md/v0.

Definitions for requests and responses can be found in the Market Data OpenAPI Document.

Further specifics for field enums, reject codes, etc. can be found in the Market Data API Websocket Documentation.

API Reference

Cube Mendelev HTTP API

Version 0.1.0

Endpoints, public

Endpoints in this section do not require authentication.

GET
/book/{market_id}/snapshot

GET /book/{market_id}/snapshot

Parameters

market_id

pathRequiredinteger

mbp

queryOptionalboolean

mbo

queryOptionalboolean

levels

queryOptionalinteger

Request Example

cURL

curl --request GET \
  --url '/book/<market_id>/snapshot'
GET
/book/{market_id}/recent-trades

GET /book/{market_id}/recent-trades

Parameters

market_id

pathRequiredinteger

Request Example

cURL

curl --request GET \
  --url '/book/<market_id>/recent-trades'
GET
/tickers/snapshot

GET /tickers/snapshot

Request Example

cURL

curl --request GET \
  --url '/tickers/snapshot'
GET
/parsed/tickers

GET /parsed/tickers

Request Example

cURL

curl --request GET \
  --url '/parsed/tickers'
GET
/parsed/book/{market_symbol}/snapshot

GET /parsed/book/{market_symbol}/snapshot

Parameters

market_symbol

pathRequiredstring

depth

queryOptionalinteger

Request Example

cURL

curl --request GET \
  --url '/parsed/book/<market_symbol>/snapshot'
GET
/parsed/book/{market_symbol}/recent-trades

GET /parsed/book/{market_symbol}/recent-trades

Parameters

market_symbol

pathRequiredstring

Request Example

cURL

curl --request GET \
  --url '/parsed/book/<market_symbol>/recent-trades'